// static/js/upgrade.js
const ws = new WebSocket(`ws://${location.host}/ws/upgrade/`);
ws.onmessage = (e) => {
    const data = JSON.parse(e.data);
    document.getElementById('progress-bar').style.width = `${data.percent}%`;
}
